function makefig(ProjectName)
    if nargin==1
        oldwd=pwd;
        cd(ProjectName);
    end
    [FileName,PathName,FilterIndex]=uigetfile('*.mat','Choose a stage file');
    ProjectName=FileName(1:findstr(FileName,'_s0')-2);
    M=load(fullfile(PathName,FileName));
    m=M.m;
    m = upgrademesh(m);
    m=leaf_plot(m);
    h = guidata( m.pictures(1) );
    c=h.picture;
    axes(c);
    cc=get(c,'Children');
    ccc=findobj(cc,'type','patch');
%     set(ccc,'DiffuseStrength',0.5,...
%         'AmbientStrength',0.8,...
%         'FaceAlpha',1,...
%         'FaceLighting','phong',...%'gouraud',...
%         'Backfacelighting','reverselit');
    set(ccc,'DiffuseStrength',0.5,...
        'AmbientStrength',0.8,...
        'FaceLighting','phong',...%'gouraud',...
        'Backfacelighting','reverselit');
    cameratoolbar(m.pictures(1));
    p=ccc(1);
    a=get(p,'parent');
    set(a,'Zgrid','off','Xgrid','off','Ygrid','off');
%     input('press key');
    if nargin==1
        cd(oldwd);
    end
end